%define __libtoolize    /bin/true
%define __cputoolize /bin/true
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A simple CD burning tool for the Xfce Desktop Environment
Summary(de):	Einfaches Brennprogramm für Xfce
Name:		xfburn
Version:	0.5.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org/projects/xfburn/
Source0:	http://archive.xfce.org/src/apps/xfburn/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}exo-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	%{_lib}burn-devel
BuildRequires:	%{_lib}isofs-devel
BuildRequires:	xfce4-dev-tools
BuildRequires:	%{_lib}gstreamer-plugins-base1.0-devel
BuildRequires:	atk-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	fontconfig-devel
BuildRequires:	%{_lib}freetype6-devel
BuildRequires:	glib2-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	%{_lib}xml2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfburn is a simple CD/DVD burning tool based on libburnia 
libraries. It can blank CD-RWs, burn and create iso images, 
as well as burn personal compositions of data to either CD or DVD.

%description -l de
Xfburn ist ein einfachen CD/DVD Brennwerkzeug, welches auf libburnia basiert.
Es kann CD-RWs löschen, ISO-Abbilder erzeugen und brennen und genauso
persönliche Zusammenstellungen von Daten auf CD oder DVD brennen.

%prep
%setup -q

%build
#./autogen.sh --libdir=%{_libdir} --prefix=/usr --disable-static
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp -f icons/scalable/stock_xfburn-burn-cd.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}


%post
%{update_menus}
%update_icon_cache hicolor


%postun
%{clean_menus}
%clean_icon_cache hicolor 


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog  TODO
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/appdata/xfburn.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*.ui
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_iconsdir}/hicolor/*
%{_mandir}/man1/*
%{_datadir}/locale/*


%changelog
* Wed Dec 20 2017 ghostbunny <ghostbunny at gmx dot de> 0.5.5-1pclos2017
- 0.5.5

* Sun May 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.4-1pclos2015
- 0.5.4
- update deps to gstreamer 1.0
- remove old libxfcegui4 dep

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.2-2pclos2015
- rebuild against new libxfce4util7

* Thu Apr 10 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.2-1pclos2014
- 0.5.2

* Mon Feb 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2014
- 0.5.0
- remove patch (applied in source)
- fix BRs

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.3-5pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.3-5pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.3-5pclos2012
- rebuild against new libxfce4util
- added german summary and description
- added patch from mdv

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.4.3-4pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.4.3-3pclos2010
- updated for xfce4.8

* Mon Nov 08 2010 Sproggy <desproggster@gmail.com> 0.4.3-1mdv2010
- initial build for PCLOS xfce4.8pre1
